## icecat 128.14.0

=== debian/changelog ===
icecat (128.14.0-1+6genuen1) excalibur; urgency=medium

  * New upstream version

 -- Aitor <aitor@genuen.org>  Mon, 08 Dec 2025 03:05:31 +0100

icecat (102.11.0-1) unstable; urgency=medium

  * New upstream release.
    https://git.savannah.gnu.org/cgit/gnuzilla.git/snapshot/
    gnuzilla-5a1894fc966840dc242110ec0459471c637a4675.tar.gz

 -- Aitor Cuadrado Zubizarreta <aitor_czr@gnuinos.org>  Thu, 11 May 2023 00:42:07 +0200

icecat (91.6.0-1) chimaera; urgency=medium

  * New upstream release.
    https://git.savannah.gnu.org/cgit/gnuzilla.git/commit/?id=6c4accb674d2df8be0aabfa03f7679f66bbf70f5

 -- Aitor Cuadrado Zubizarreta <aitor_czr@gnuinos.org>  Fri, 18 Feb 2022 22:32:17 +0100

icecat (78.15.0-1) chimaera; urgency=medium

  * New upstream release.
    https://git.savannah.gnu.org/cgit/gnuzilla.git/commit/?id=857afe0e546d0fb9bca6e2d2f79f0cbd44e6a5a3

 -- Aitor Cuadrado Zubizarreta <aitor_czr@gnuinos.org>  Sat, 11 Dec 2021 12:02:56 +0100

firefox-esr (78.14.0esr-1~deb11u1) bullseye-security; urgency=medium

  * New upstream release.
  * Fixes for mfsa2021-39, also known as CVE-2021-38493.

  * debian/import-tar.py, debian/repack.py: Fixed for python 3.9.

 -- Mike Hommey <glandium@debian.org>  Wed, 08 Sep 2021 06:35:55 +0900

firefox-esr (78.13.0esr-1~deb11u1) bullseye-security; urgency=medium

  * New upstream release.
  * Fixes for mfsa2021-34, also known as:
    CVE-2021-29986, CVE-2021-29988, CVE-2021-29984, CVE-2021-29980,
    CVE-2021-29985, CVE-2021-29989.

 -- Mike Hommey <glandium@debian.org>  Wed, 11 Aug 2021 07:51:13 +0900

firefox-esr (78.12.0esr-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2021-29, also known as:
    CVE-2021-29970, CVE-2021-30547, CVE-2021-29976.

 -- Mike Hommey <glandium@debian.org>  Wed, 14 Jul 2021 05:58:36 +0900

firefox-esr (78.11.0esr-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2021-24, also known as CVE-2021-29967.

 -- Mike Hommey <glandium@debian.org>  Wed, 02 Jun 2021 05:18:07 +0900

firefox-esr (78.10.0esr-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2021-15, also known as:
    CVE-2021-23994, CVE-2021-23995, CVE-2021-23998, CVE-2021-23961,
    CVE-2021-23999, CVE-2021-24002, CVE-2021-29945, CVE-2021-29946.

 -- Mike Hommey <glandium@debian.org>  Tue, 20 Apr 2021 06:36:15 +0900

firefox-esr (78.9.0esr-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2021-11, also known as:
    CVE-2021-23981, CVE-2021-23982, CVE-2021-23984, CVE-2021-23987.

 -- Mike Hommey <glandium@debian.org>  Wed, 24 Mar 2021 05:46:46 +0900

firefox-esr (78.8.0esr-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2021-08, also known as:
    CVE-2021-23969, CVE-2021-23968, CVE-2021-23973, CVE-2021-23978.

 -- Mike Hommey <glandium@debian.org>  Wed, 24 Feb 2021 06:29:25 +0900

firefox-esr (78.7.0esr-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2021-04, also known as:
    CVE-2021-23953, CVE-2021-23954, CVE-2020-26976, CVE-2021-23960,
    CVE-2021-23964.

 -- Mike Hommey <glandium@debian.org>  Wed, 27 Jan 2021 08:57:31 +0900

firefox-esr (78.6.1esr-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2021-01, also known as CVE-2020-16044.

 -- Mike Hommey <glandium@debian.org>  Thu, 07 Jan 2021 07:38:33 +0900

firefox-esr (78.6.0esr-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2020-55, also known as:
    CVE-2020-16042, CVE-2020-26971, CVE-2020-26973, CVE-2020-26974,
    CVE-2020-26978, CVE-2020-35111, CVE-2020-35113.

 -- Mike Hommey <glandium@debian.org>  Wed, 16 Dec 2020 05:57:15 +0900

firefox-esr (78.5.0esr-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2020-51, also known as:
    CVE-2020-26951, CVE-2020-16012, CVE-2020-26953, CVE-2020-26956,
    CVE-2020-26958, CVE-2020-26959, CVE-2020-26960, CVE-2020-26961,
    CVE-2020-26965, CVE-2020-26968.

 -- Mike Hommey <glandium@debian.org>  Wed, 18 Nov 2020 06:23:03 +0900

firefox-esr (78.4.1esr-2) unstable; urgency=medium

  * Cargo.lock, third_party/rust/proc-macro2, third_party/rust/syn: Update
    to fix FTBFS with rustc 1.47. bz#1663715.

 -- Mike Hommey <glandium@debian.org>  Tue, 10 Nov 2020 10:23:12 +0900

firefox-esr (78.4.1esr-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2020-49, also known as CVE-2020-26950.

 -- Mike Hommey <glandium@debian.org>  Tue, 10 Nov 2020 07:27:07 +0900

firefox-esr (78.4.0esr-2) unstable; urgency=medium

  * debian/rules: Restore parts of debian/rules that were removed by mistake
    in 78.4.0esr-1, causing FTBFS on at least amd64.

 -- Mike Hommey <glandium@debian.org>  Wed, 21 Oct 2020 13:19:24 +0900

firefox-esr (78.4.0esr-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2020-46, also known as:
    CVE-2020-15969, CVE-2020-15683.

  [Emilio Pozuelo Monfort]
  * debian/browser.bug-presubj.in, debian/control.in, debian/rules,
    debian/symbols.mk, debian/upstream.mk: Remove support for jessie.
  * debian/control.in, debian/rules: stretch: build with LLVM 7, 4.0 doesn't
    support -std=gnu++17.
  * debian/rules:
    - stretch: build with GCC 7 from gcc-mozilla.
    - Call python with -B when regenerating the control files, so as to not
      generate bytecode files.
    - Call debian/l10n/gen with C.UTF-8 as the locale, otherwise it fails
    in stretch when opening the iso-codes files.
    - stretch: don't set NASM on !x86.

 -- Mike Hommey <glandium@debian.org>  Wed, 21 Oct 2020 06:35:35 +0900

firefox-esr (78.3.0esr-2) unstable; urgency=medium

  * third-party/rust/authenticator/src/linux/ioctl_mips*.rs: Add missing
    bindings for mips*.

 -- Mike Hommey <glandium@debian.org>  Wed, 23 Sep 2020 12:53:29 +0900

firefox-esr (78.3.0esr-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2020-43, also known as:
    CVE-2020-15677, CVE-2020-15676, CVE-2020-15678, CVE-2020-15673.


