=== debian/control ===
Source: icecat
Section: web
Priority: optional
Maintainer: Aitor <aitor@genuen.org>
Uploaders: Mike Hommey <glandium@debian.org>
Build-Depends: cdbs,
               autotools-dev,
               debhelper (>= 9.20160114),
               autoconf2.69,
               libx11-dev,
               libx11-xcb-dev,
               libxt-dev,
               libxext-dev,
               libgtk-3-dev (>= 3.14),
               libglib2.0-dev (>= 2.42),
	           libpango1.0-dev (>= 1.14.0),
	           libfontconfig1-dev,
	           libfreetype6-dev (>= 2.0.1),
	           icu-devtools [s390x],
               libdrm-dev,
               libstartup-notification0-dev,
	           libcurl4-openssl-dev,
	           libssl-dev,
               lsb-release,
	           libiw-dev,
	           mesa-common-dev,
	           libnotify-dev (>= 0.4),
	           libxrender-dev,
	           libpulse-dev,
               libjpeg-dev,
               zlib1g-dev,
               libreadline-dev,
               python3-dev (>= 3.11.2~),
               dpkg-dev,
               libnspr4-dev (>= 2:4.32~),
               libnss3-dev (>= 2:3.68~),
               libvpx-dev (>= 1.8.0),
               libdbus-glib-1-dev,
               libffi-dev,
               libevent-dev,
               libpulse-dev,
               libasound2-dev,
               yasm (>= 1.1),
               nasm (>= 2.14) [amd64 i386],
               dbus-x11,
	           python3 (>= 3.8),
	           libaom-dev [ppc64el riscv64 s390x],
	           libffi-dev (>= 3.0.9) [powerpc ppc64el s390x],
	           cargo (>= 1.85.0~),
	           rustc (>= 1.85.0~),
               rustfmt,
	           llvm-20-dev | llvm-19-dev | llvm-18-dev,
	           libclang-20-dev | libclang-19-dev | libclang-18-dev,
	           clang-20 | clang-19 | clang-18,
               cbindgen (>= 0.17.0~),
               nodejs (>= 12.19.2),
               ccache,
               zip,
               unzip,
               locales,
               xvfb,
               xfonts-base,
               xauth,
               ttf-bitstream-vera,
               fonts-freefont-ttf,
               fonts-dejima-mincho,
               iso-codes
Build-Conflicts: graphicsmagick-imagemagick-compat,
                 liboss4-salsa-dev,
                 libhildonmime-dev,
                 libosso-dev
Standards-Version: 3.9.8.0
Origin: Genuen
Vcs-Git: https://git.savannah.gnu.org/cgit/gnuzilla.git
Vcs-Browser: https://git.savannah.gnu.org/cgit/gnuzilla.git/commit/?id=6c4accb674d2df8be0aabfa03f7679f66bbf70f5

Package: icecat
Architecture: any
Depends: lsb-release,
         ${shlibs:Depends},
         ${misc:Depends},
         fontconfig,
         procps,
         debianutils (>= 1.16),
         libnspr4 (>= 2:4.32~),
         libnss3 (>= 2:3.68~)
Recommends: libavcodeclibavcodec.so | libavcodec-extralibavcodec.so | libavcodec61 | libavcodec-extra61 | libavcodec60 | libavcodec-extra60 | libavcodec59 | libavcodec-extra59 | libavcodec58 | libavcodec-extra58 | libavcodec57 | libavcodec-extra57 | libavcodec56 | libavcodec-extra56 | libavcodec55 | libavcodec-extra55 | libavcodec54 | libavcodec-extra54 | libavcodec53 | libavcodec-extra53
Suggests: fonts-stix | otf-stix,
          fonts-lmodern,
          libgssapi-krb5-2 | libkrb53,
          libcanberra0,
          webext-ublock-origin-firefox,
	      fonts-lyx,
Breaks: xul-ext-torbutton
Provides: www-browser,
          gnome-www-browser
Description: Mozilla Firefox web browser
 Icecat is a powerful, extensible web browser with support for modern
 web application technologies.

Package: icecat-l10n-all
Architecture: all
Section: metapackages
Depends: ${misc:Depends}, icecat-l10n-ach, icecat-l10n-af, icecat-l10n-an, icecat-l10n-ar, icecat-l10n-ast, icecat-l10n-az, icecat-l10n-be, icecat-l10n-bg, icecat-l10n-bn, icecat-l10n-br, icecat-l10n-bs, icecat-l10n-ca, icecat-l10n-ca-valencia, icecat-l10n-cak, icecat-l10n-cs, icecat-l10n-cy, icecat-l10n-da, icecat-l10n-de, icecat-l10n-dsb, icecat-l10n-el, icecat-l10n-en-ca, icecat-l10n-en-gb, icecat-l10n-eo, icecat-l10n-es-ar, icecat-l10n-es-cl, icecat-l10n-es-es, icecat-l10n-es-mx, icecat-l10n-et, icecat-l10n-eu, icecat-l10n-fa, icecat-l10n-ff, icecat-l10n-fi, icecat-l10n-fr, icecat-l10n-fur, icecat-l10n-fy-nl, icecat-l10n-ga-ie, icecat-l10n-gd, icecat-l10n-gl, icecat-l10n-gn, icecat-l10n-gu-in, icecat-l10n-he, icecat-l10n-hi-in, icecat-l10n-hr, icecat-l10n-hsb, icecat-l10n-hu, icecat-l10n-hy-am, icecat-l10n-ia, icecat-l10n-id, icecat-l10n-is, icecat-l10n-it, icecat-l10n-ja, icecat-l10n-ka, icecat-l10n-kab, icecat-l10n-kk, icecat-l10n-km, icecat-l10n-kn, icecat-l10n-ko, icecat-l10n-lij, icecat-l10n-lt, icecat-l10n-lv, icecat-l10n-mk, icecat-l10n-mr, icecat-l10n-ms, icecat-l10n-my, icecat-l10n-nb-no, icecat-l10n-ne-np, icecat-l10n-nl, icecat-l10n-nn-no, icecat-l10n-oc, icecat-l10n-pa-in, icecat-l10n-pl, icecat-l10n-pt-br, icecat-l10n-pt-pt, icecat-l10n-rm, icecat-l10n-ro, icecat-l10n-ru, icecat-l10n-sat, icecat-l10n-sc, icecat-l10n-sco, icecat-l10n-si, icecat-l10n-sk, icecat-l10n-skr, icecat-l10n-sl, icecat-l10n-son, icecat-l10n-sq, icecat-l10n-sr, icecat-l10n-sv-se, icecat-l10n-szl, icecat-l10n-ta, icecat-l10n-te, icecat-l10n-tg, icecat-l10n-th, icecat-l10n-tl, icecat-l10n-tr, icecat-l10n-trs, icecat-l10n-uk, icecat-l10n-ur, icecat-l10n-uz, icecat-l10n-vi, icecat-l10n-xh, icecat-l10n-zh-cn, icecat-l10n-zh-tw
Description: All language packages for Icecat (meta)
 Icecat is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This is a metapackage depending on all available localizations of Icecat.

Package: icecat-l10n-ach
Architecture: all
Section: localization
Depends: ${misc:Depends},
         icecat (>= ${source:Version}), icecat (<< ${source:Version}.1~)
Description: Acoli language package for Icecat
 Icecat is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Icecat in Acoli.

Package: icecat-l10n-af
Architecture: all
Section: localization
Depends: ${misc:Depends},
         icecat (>= ${source:Version}), icecat (<< ${source:Version}.1~)
Recommends: hunspell-af
Description: Afrikaans language package for Icecat
 Icecat is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Icecat in Afrikaans.

Package: icecat-l10n-an
Architecture: all
Section: localization
Depends: ${misc:Depends},
         icecat (>= ${source:Version}), icecat (<< ${source:Version}.1~)
Recommends: hunspell-an
Description: Aragonese language package for Icecat
 Icecat is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Icecat in Aragonese.

Package: icecat-l10n-ar
Architecture: all
Section: localization
Depends: ${misc:Depends},
         icecat (>= ${source:Version}), icecat (<< ${source:Version}.1~)
Recommends: hunspell-ar
Description: Arabic language package for Icecat
 Icecat is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Icecat in Arabic.

Package: icecat-l10n-ast
Architecture: all
Section: localization
Depends: ${misc:Depends},
         icecat (>= ${source:Version}), icecat (<< ${source:Version}.1~)
Description: Asturian language package for Icecat
 Icecat is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Icecat in Asturian.

Package: icecat-l10n-az
Architecture: all
Section: localization
Depends: ${misc:Depends},
         icecat (>= ${source:Version}), icecat (<< ${source:Version}.1~)
Description: Azerbaijani language package for Icecat
 Icecat is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Icecat in Azerbaijani.

Package: icecat-l10n-be
Architecture: all
Section: localization
Depends: ${misc:Depends},
         icecat (>= ${source:Version}), icecat (<< ${source:Version}.1~)
Recommends: hunspell-be
Description: Belarusian language package for Icecat
 Icecat is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Icecat in Belarusian.

Package: icecat-l10n-bg
Architecture: all
Section: localization
Depends: ${misc:Depends},
         icecat (>= ${source:Version}), icecat (<< ${source:Version}.1~)
Recommends: hunspell-bg | myspell-bg
Description: Bulgarian language package for Icecat
 Icecat is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Icecat in Bulgarian.

Package: icecat-l10n-bn
Architecture: all
Section: localization
Depends: ${misc:Depends},
         icecat (>= ${source:Version}), icecat (<< ${source:Version}.1~)
Breaks: icecat-l10n-bn-in (<< 68), icecat-l10n-bn-bd (<< 68)
Replaces: icecat-l10n-bn-in (<< 68), icecat-l10n-bn-bd (<< 68)
Provides: icecat-l10n-bn-in, icecat-l10n-bn-bd
Description: Bengali language package for Icecat
 Icecat is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Icecat in Bengali.

Package: icecat-l10n-br
Architecture: all
Section: localization
Depends: ${misc:Depends},
         icecat (>= ${source:Version}), icecat (<< ${source:Version}.1~)
Recommends: hunspell-br
Description: Breton language package for Icecat
 Icecat is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Icecat in Breton.

Package: icecat-l10n-bs
Architecture: all
Section: localization
Depends: ${misc:Depends},
         icecat (>= ${source:Version}), icecat (<< ${source:Version}.1~)
Recommends: hunspell-bs
Description: Bosnian language package for Icecat
 Icecat is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Icecat in Bosnian.

Package: icecat-l10n-ca
Architecture: all
Section: localization
Depends: ${misc:Depends},
         icecat (>= ${source:Version}), icecat (<< ${source:Version}.1~)
Recommends: hunspell-ca
Description: Catalan language package for Icecat
 Icecat is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Icecat in Catalan.

Package: icecat-l10n-ca-valencia
Architecture: all
Section: localization
Depends: ${misc:Depends},
         icecat (>= ${source:Version}), icecat (<< ${source:Version}.1~)
Description: Catalan (Valencia) language package for Icecat
 Icecat is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Icecat in Catalan (Valencia).

Package: icecat-l10n-cak
Architecture: all
Section: localization
Depends: ${misc:Depends},
         icecat (>= ${source:Version}), icecat (<< ${source:Version}.1~)
Description: Kaqchikel language package for Icecat
 Icecat is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Icecat in Kaqchikel.

Package: icecat-l10n-cs
Architecture: all
Section: localization
Depends: ${misc:Depends},
         icecat (>= ${source:Version}), icecat (<< ${source:Version}.1~)
Recommends: hunspell-cs
Description: Czech language package for Icecat
 Icecat is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Icecat in Czech.

Package: icecat-l10n-cy
Architecture: all
Section: localization
Depends: ${misc:Depends},
         icecat (>= ${source:Version}), icecat (<< ${source:Version}.1~)
Description: Welsh language package for Icecat
