## icecat 128.14.0-1gnu1+build1-0.11.0+11.0trisquel1

=== debian/changelog ===
icecat (128.14.0-1gnu1+build1-0.11.0+11.0trisquel1) aramo; urgency=medium

  * Imported into Trisquel 11 - aramo

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 21 Aug 2025 03:12:23 +0000

icecat (128.14.0-1gnu1+build1-0.11.0) aramo; urgency=medium

  * New upstream stable release (icecat-128.14.0-1gnu1)

 -- Capitulo Mexicano de Software Libre <devel@cmxsl.org>  Tue, 19 Aug 2025 23:36:26 -0600

icecat (128.13.0-1gnu1+build1-0.11.0) aramo; urgency=medium

  * New upstream stable release (icecat-128.13.0-1gnu1)

 -- Capitulo Mexicano de Software Libre <devel@cmxsl.org>  Thu, 07 Aug 2025 18:52:14 +0000

icecat (128.12.0-1gnu1+build1-0.11.0) aramo; urgency=medium

  * Initial packaging for Trisquel GNU/Linux and new upstream IceCat
    stable release (icecat-128.12.0-1gnu1)

 -- Capitulo Mexicano de Software Libre <devel@cmxsl.org>  Sat, 19 Jul 2025 19:25:35 -0600

firefox-esr (128.12.0esr+build1-0ubuntu0.22.04.1~mt1) jammy; urgency=medium

  * New upstream stable release (FIREFOX_128_12_0esr_BUILD1)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Tue, 17 Jun 2025 08:46:48 +0200
