## icecat 128.14.0-1gnu1+build1-0.12.0trisquel1

=== debian/changelog ===
icecat (128.14.0-1gnu1+build1-0.12.0trisquel1) ecne; urgency=medium

  * Imported into Trisquel 12 - ecne

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 20 Aug 2025 17:43:25 +0000

icecat (128.14.0-1gnu1+build1-0.12.0) ecne; urgency=medium

  * New upstream stable release (icecat-128.14.0-1gnu1)

 -- Capitulo Mexicano de Software Libre <devel@cmxsl.org>  Tue, 19 Aug 2025 23:07:15 -0600
