## icecat 140.5.0-2gnu1+build1-0.11.0+11.0trisquel1

=== debian/changelog ===
icecat (140.5.0-2gnu1+build1-0.11.0+11.0trisquel1) aramo; urgency=medium

  * Imported into Trisquel 11 - aramo

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 13 Nov 2025 20:40:22 +0000

icecat (140.5.0-2gnu1+build1-0.11.0) aramo; urgency=medium

  * New upstream stable release (icecat-140.5.0-2gnu1)

 -- Capitulo Mexicano de Software Libre <devel@cmxsl.org>  Thu, 13 Nov 2025 00:59:43 -0600

icecat (140.4.0-2gnu1+build1-0.11.0) aramo; urgency=medium

  * New upstream stable release (icecat-140.4.0-2gnu1)

 -- Capitulo Mexicano de Software Libre <devel@cmxsl.org>  Wed, 15 Oct 2025 04:43:15 -0600

icecat (140.3.1-1gnu1+build1-0.11.0) aramo; urgency=medium

  * New upstream stable release (icecat-140.3.1-1gnu1)

 -- Capitulo Mexicano de Software Libre <devel@cmxsl.org>  Mon, 06 Oct 2025 03:17:16 -0600
