## icecat 140.6.0-1gnu1+build1-0.12.0trisquel1

=== debian/changelog ===
icecat (140.6.0-1gnu1+build1-0.12.0trisquel1) ecne; urgency=medium

  * Imported into Trisquel 12 - ecne

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 17 Dec 2025 21:28:24 +0000

icecat (140.6.0-1gnu1+build1-0.12.0) ecne; urgency=medium

  * New upstream stable release (icecat-140.6.0-1gnu1)

 -- Capitulo Mexicano de Software Libre <devel@cmxsl.org>  Sun, 14 Dec 2025 03:53:59 -0600

icecat (140.5.0-2gnu1+build1-0.12.0) ecne; urgency=medium

  * New upstream stable release (icecat-140.5.0-2gnu1)

 -- Capitulo Mexicano de Software Libre <devel@cmxsl.org>  Thu, 13 Nov 2025 03:42:08 -0600

icecat (140.4.0-2gnu1+build1-0.12.0) ecne; urgency=medium

  * New upstream stable release (icecat-140.4.0-2gnu1)

 -- Capitulo Mexicano de Software Libre <devel@cmxsl.org>  Wed, 15 Oct 2025 02:20:36 -0600

icecat (140.3.1-1gnu1+build1-0.12.0) ecne; urgency=medium

  * New upstream stable release (icecat-140.3.1-1gnu1)

 -- Capitulo Mexicano de Software Libre <devel@cmxsl.org>  Mon, 06 Oct 2025 01:25:34 -0600
