## icecat 140.7.0-1gnu1+build1-0.12.0trisquel1

=== debian/changelog ===
icecat (140.7.0-1gnu1+build1-0.12.0trisquel1) ecne; urgency=medium

  * Imported into Trisquel 12 - ecne

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 18 Jan 2026 06:52:04 +0000

icecat (140.7.0-1gnu1+build1-0.12.0) ecne; urgency=medium

  * New upstream stable release (icecat-140.7.0-1gnu1)

 -- Capitulo Mexicano de Software Libre <devel@cmxsl.org>  Sat, 17 Jan 2026 21:13:41 -0600
