=== browser/installer/linux/app/debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_strip_nondeterminism:
	dh_strip_nondeterminism -Xxpi

override_dh_install:
	dh_install
ifeq ($(shell dpkg-parsechangelog -S Source), icecat-esr)
	install -m 0755 debian/icecat.sh debian/icecat-esr/usr/bin/icecat
endif
